Subject: Re: IrDA-patched binaries

From: Michel Dänzer <[email-masked]>
Date: Mon, 12 Nov 2001 21:47:25 +0100

"Jason E. Stewart" wrote:
>
> "Michel Dänzer" <[email-masked]> writes:
>
> > "Jason E. Stewart" wrote:
> > >
> > > "Jonas Smedegaard" <[email-masked]> writes:
> > >
> > > > I have made available kernel and irda-packages with the
> > > > irda-hacks added to make .
> > >
> > > I was totally thrilled to see this. Because of reiserfs, I need to
> > > compile my own kernel, so I grabbed the patches a couple of weeks
> > > ago. I just had time to look at them and it seems that
> > > parameters.h has changed a *lot* since this patch was made.
> > >
> > > >From BenH's latest kernel:
> > >
> > > typedef union {
> > >         char   *c;
> > >         __u32   i;
> > >         __u32 *ip;
> > > } irda_pv_t;
> >
> > Yup, 2.4.15-pre2 has my better fix. :)
>
> sorry Michel, I don't understand. Is the irda_pv_t listed above your
> fix?

Yes, it's in Linus' 2.4.15-pre2 and thus of course also in Ben's.

> > Now we're working on fixing macserial such that the 'cat /dev/ttyS1
> > trick' isn't needed anymore...
>
> Hmmm.. Sorry, must have missed that one. What is the trick, and why is
> it needed?

The macserial driver was missing a delay so you had to open the device
(most easily with cat) for a while before running irattach, or it
wouldn't work.

I've verified an idea from Ben for a possible solution today, he'll
hopefully integrate something soon.

--
Earthling Michel Dänzer (MrCooper)/ Debian GNU/Linux (powerpc) developer
XFree86 and DRI project member   /  CS student, Free Software enthusiast

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/